# Analyst Rating `GET` `https://api.unusualwhales.com/api/screener/analysts` Returns the latest analyst ratings, optionally filtered by ticker, action, recommendation, or published timestamp. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | No | A single ticker | | `limit` | integer | No | How many items to return. Default: 500, Max: 500, Min: 1 | | `action` | Analyst Action | No | The action of the recommendation. | | `recommendation` | Analyst Recommendation | No | The recommendation the analyst gave out. | | `newer_than` | NewerThan | No | The unix time in milliseconds or seconds at which no older results will be returned. Can be used with `older_than` to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25). | | `older_than` | OlderThan | No | The unix time in milliseconds or seconds at which no newer results will be returned. Can be used with `newer_than` to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25). | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `action` | Analyst Field Action | The action of the recommendation. | | `analyst_name` | Analyst Field Name | The name of the analyst. | | `firm` | Analyst Field Firm | The firm the analyst is working for. | | `recommendation` | Analyst Field Recommendation | The recommendation the analyst gave out. | | `sector` | Market General Sector | The financial sector of the ticker. Empty if unknown or not applicable such as ETF/Index. | | `target` | Analyst Field Target Price | The target price of the rating. | | `ticker` | Analyst Sector | A financial sector. | | `timestamp` | Analyst Field Time | The UTC timestamp, when the rating was released. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/screener/analysts" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/screener/analysts", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "action": "maintained", "analyst_name": "Tyler Radke", "firm": "Citi", "recommendation": "buy", "sector": "Technology", "target": "420.0", "ticker": "MSFT", "timestamp": "2023-09-11T11:21:12Z" }, { "action": "maintained", "analyst_name": "Mark Rothschild", "firm": "Canaccord Genuity", "recommendation": "hold", "sector": "Conglomerates", "target": "11.75", "ticker": "DRETF", "timestamp": "2023-09-11T11:11:32Z" } ] } ```